#' Loughran-McDonald Short Stopword List
#'
#' A dataset containing a character vector of Loughran & McDonald's (2016)
#' short stopword list.
#' 
#' @section License: The original authors note the data is available for 
#' non-commercial, research use: "The data compilations provided on 
#' this website are for use by individual researchers.".  For more details see:
#' https://sraf.nd.edu/textual-analysis/resources/#Master%20Dictionary.
#' @docType data
#' @keywords datasets
#' @name sw_loughran_mcdonald_short
#' @usage data(sw_loughran_mcdonald_short)
#' @format A character vector with 121 elements
#' @references Loughran, T. and McDonald, B. (2016). Textual analysis in
#' accounting and finance: A survey. Journal of Accounting Research 54(4),
#' 1187-1230. doi: 10.2139/ssrn.2504147 \cr \cr
#' \url{https://sraf.nd.edu/textual-analysis/resources/#Master\%20Dictionary}
NULL

#' Loughran-McDonald Long Stopword List
#'
#' A dataset containing a character vector of Loughran & McDonald's (2016)
#' long stopword list.
#' 
#' @section License: The original authors note the data is available for 
#' non-commercial, research use: "The data compilations provided on 
#' this website are for use by individual researchers.".  For more details see:
#' https://sraf.nd.edu/textual-analysis/resources/#Master%20Dictionary.
#' @section Copyright: Copyright holder University of Notre Dame
#' @docType data
#' @keywords datasets
#' @name sw_loughran_mcdonald_long
#' @usage data(sw_loughran_mcdonald_long)
#' @format A character vector with 570 elements
#' @references Loughran, T. and McDonald, B. (2016). Textual analysis in
#' accounting and finance: A survey. Journal of Accounting Research 54(4),
#' 1187-1230. doi: 10.2139/ssrn.2504147 \cr \cr
#' \url{https://sraf.nd.edu/textual-analysis/resources/#Master\%20Dictionary}
NULL
